Name:           freenet6
Version:        6.0
Release:        3%{?dist}
Summary:        Freenet6 client.

Group:          System Environment/Daemons
License:        BSD
URL:            http://www.go6.net/4105/download
#Source0:        freenet6.tgz
#Source0:	http://go6.net/4105/file.asp?file_id=166
Source0:	gw6c-6_0-RELEASE-src.tar
Source1:        freenet6-init.d
#Patch0:         freenet6-5.4b1-Mk-linux.patch 
# Patch1:		freenet6-6.0-beta4-headers.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gcc-c++, kernel-headers, openssl-devel

%description
Freenet6 Tunnel Client

%prep
%setup -q -c -n %{name}
# %patch0 -p1
# %patch1 -p1 -b .headers

%build
cd gw6c-6_0_1/tspc-advanced
make all target=linux


%install
%{__rm} -rf %{buildroot}
cd gw6c-6_0_1/tspc-advanced
%{__make} install target=linux installdir=%{buildroot}/usr prefix=%{buildroot}%{_prefix}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/%{name}
%{__mkdir_p} %{buildroot}%{_datadir}/%{name}
%{__mkdir_p} %{buildroot}%{_mandir}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/rc.d/init.d
%{__rm} -f %{buildroot}%{_bindir}/gw6c.conf.sample
%{__mv} %{buildroot}%{_bindir}/gw6c.conf* %{buildroot}%{_sysconfdir}/%{name}
%{__cp} -v %{SOURCE1} %{buildroot}%{_sysconfdir}/rc.d/init.d/%{name}
for i in %{buildroot}%{_sysconfdir}/%{name}/* ; do
%{__sed} -e 's:^gw6_dir=.*$:gw6_dir=%{_datadir}/%{name}:g' \
	-e 's:^log_filename=.*$:log_filename=/var/log/gw6c.log:g' -i $i
done
%{__mv} -v  %{buildroot}%{_prefix}/template %{buildroot}%{_datadir}/%{name}/
#%{__cp} -av  %{buildroot}%{_prefix}/template %{buildroot}%{_datadir}/%{name}/
#%{__rm} -rfv %{buildroot}%{_prefix}/template
%{__mv} -v %{buildroot}%{_prefix}/man/* %{buildroot}%{_mandir}/

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}

%preun
/sbin/service %{name} stop >/dev/null 2>/dev/null
if [ $1 -eq 0 ]; then
        /sbin/chkconfig --del %{name}
fi

%files
%defattr(-,root,root,-)
%{_bindir}/gw6c
%{_datadir}/%{name}/template/*
%{_mandir}/man5/*
%{_mandir}/man8/*
%attr(0755,root,root) %{_sysconfdir}/rc.d/init.d/%{name}
%config %attr(0600, root, root) %{_sysconfdir}/freenet6/gw6c.conf
%doc gw6c-6_0_1/CLIENT-LICENSE.TXT gw6c-6_0_1/INSTALL gw6c-6_0_1/README

%changelog
* Wed Jul  1 2009 J. Randall Owens <jrowens@ghiapet.net> - 6.0-3
- Update to 6.0-RELEASE, and for Fedora 11

* Wed Dec 10 2008 J. Randall Owens <jrowens@ghiapet.net> - 6.0-2
- add openssl-devel BuildRequires

* Mon Jun 16 2008 J. Randall Owens <jrowens@ghiapet.net> - 6.0-1
- Update to 6.0-beta4, patch for compilation

* Mon Jun 16 2008 J. Randall Owens <jrowens@ghiapet.net> - 5.1-1
- Rebuild for Fedora 9

* Sat Mar 15 2008 J. Randall Owens <jrowens@ghiapet.homeip.net> - 5.1-1
- Rebuild for Fedora 8, gw6c-5.1

* Thu Nov 8 2007 Ashish Shukla <wahjava@gmail.com> 5.1b4-2
- Added /var/log/gw6c.log in gw6c.conf

* Thu Nov 8 2007 Ashish Shukla <wahjava@gmail.com> 5.1b4-1
- Initial .spec file
- Added an init.d service
